Bug 1304041 - [virtio-win] [virtio-1] [RFE] Add Virtio-1.0 support for vioserial
Summary: [virtio-win] [virtio-1] [RFE] Add Virtio-1.0 support for vioserial
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Ladi Prosek
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1222757
TreeView+ depends on / blocked
 
Reported: 2016-02-02 17:57 UTC by Amnon Ilan
Modified: 2016-11-04 08:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This update adds support for version 1.0 of the virtio protocol to the virtio-serial driver. Improvements in virtio 1.0 include better resource utilization and better performance. Note that if the virtual device supports virtio 1.0 as well as the older protocol (referred to as virtio 0.9.5 or 0.9, or simply legacy), the driver will use virtio 1.0.
Clone Of:
: 1315984 (view as bug list)
Environment:
Last Closed: 2016-11-04 08:50:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2609 normal SHIPPED_LIVE virtio-win bug fix and enhancement update 2016-11-03 15:27:12 UTC

Description Amnon Ilan 2016-02-02 17:57:19 UTC
Add Virtio-1.0 support for vioserial. 
Should support either "legacy" mode, "modern" mode, or both ("transitional").
The default mode should be "transitional".

Comment 3 lijin 2016-08-21 07:17:26 UTC
virtio-win-prewhql-126 vioser whql test with virtio1.0 passed.
So change status to verified.

Comment 5 errata-xmlrpc 2016-11-04 08:50:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2609.html


Note You need to log in before you can comment on or make changes to this bug.